
/**
 * Write a description of class Auftrag here.
 * 
 * @author Ronald Ortner 
 * @version 21.11.2019
 */
public class Auftrag implements Comparable<Auftrag>
{
    private double bearbZeit;
    private int id;
    private static int auftragsCount = 0;

    public Auftrag(double bearbZeit)
    {
        this.bearbZeit = bearbZeit;
        id = auftragsCount;
        auftragsCount++;
    }
    
    public double getBearbZeit()
    {
        return bearbZeit;
    }
    
    public int compareTo(Auftrag a)
    {
        if(a.getBearbZeit()>this.getBearbZeit())
            return 1;
            
        if(a.getBearbZeit()<this.getBearbZeit())
            return -1;
            
        //if(a.getBearbZeit()==this.getBearbZeit())
        return this.id-a.id;
    }
    
    public int hashCode()
    {
        return id;
    }
    
    public boolean equals(Object ob)
    {
         if(ob instanceof Auftrag)
         {
             Auftrag a = (Auftrag)ob;
             return (a.id==this.id);
         }
         
         return false;
    }
}
